package com.gaowj.business.test.demo1;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.session.RowBounds;

public interface Demo1DAO {

    Map<String, Object> get(String id);
	
	List<Map<String, Object>> listPersonal(RowBounds rowbounds, Map<String, Object> query);
	
	List<Map<String, Object>> listPersonal(Map<String, Object> query);
	
	int listPersonalCount(Map<String, Object> query);
	
	
	List<Map<String, Object>> listAudit(RowBounds rowbounds, Map<String, Object> query);
	
	int listAuditCount(Map<String, Object> query);
	
	
	List<Map<String, Object>> listManage(RowBounds rowbounds, Map<String, Object> query);
	
	int listManageCount(Map<String, Object> query);
	
	
	void insert(Map<String, Object> entity);

	void modify(Map<String, Object> entity);

	void modifyStatus(Map<String, Object> entity);

	void delete(String id);

}
